# http://www.anmp.net
# name: httpd-default.conf

# For Apache_2.2
<IfVersion <= 2.3>
	NameVirtualHost *:80
	NameVirtualHost *:8080

	<Directory "{$ANMP_ROOT}/www">
		Options Indexes FollowSymLinks
		AllowOverride all
		Order allow,deny
		Allow from all
	</Directory>

	<Directory "{$ANMP_HTDOCS}">
		Options Indexes FollowSymLinks
		AllowOverride all
		Order allow,deny
		Allow from all
	</Directory>
</IfVersion>

# For Apache_2.4
<IfVersion >= 2.3>
	<Directory "{$ANMP_ROOT}/www">
		Options Indexes FollowSymLinks
		AllowOverride all
		Require all granted
	</Directory>
	<Directory "{$ANMP_HTDOCS}">
		Options Indexes FollowSymLinks
		AllowOverride all
		Require all granted
	</Directory>
</IfVersion>



# 默认站点
# http://127.0.0.1:80
# http://127.0.0.1:8080
<VirtualHost *:80 *:8080>
	ServerName   www.anmp.net
	DocumentRoot "{$ANMP_ROOT}/www/default"
	ErrorLog     "{$ANMP_ROOT}/data/logs/net.anmp-error.log"
	CustomLog    "{$ANMP_ROOT}/data/logs/net.anmp-access.log" common
	php_admin_value open_basedir "{$ANMP_ROOT}/data/temp;{$ANMP_ROOT}/www/default;X:/Apache/nginx"
</VirtualHost>


# http://adm.anmp.net
<VirtualHost *:80 *:8080>
	ServerName   adm.anmp.net
	DocumentRoot "{$ANMP_ROOT}/www/adm"
	ErrorLog     "{$ANMP_ROOT}/data/logs/net.anmp-error.log"
	CustomLog    "{$ANMP_ROOT}/data/logs/net.anmp-access.log" common
	php_admin_value open_basedir "{$ANMP_ROOT}/data/temp;{$ANMP_ROOT}/www/adm"
</VirtualHost>


# http://box.anmp.net
<VirtualHost *:80 *:8080 *:443>
	ServerName   box.anmp.net

	# SSLEngine on
	# SSLSessionCache "dbm:logs/ssl_scache"
	# SSLCertificateFile    "D:/Anmp/conf/nginx-ssl/net.anmp.crt"
	# SSLCertificateKeyFile "D:/Anmp/conf/nginx-ssl/net.anmp.key"
	# SSLCACertificateFile  "D:/Anmp/conf/nginx-ssl/anmp-ca.crt"

	DocumentRoot "{$ANMP_ROOT}/www/box"
	ErrorLog     "{$ANMP_ROOT}/data/logs/net.anmp-error.log"
	CustomLog    "{$ANMP_ROOT}/data/logs/net.anmp-access.log" common
	php_admin_value open_basedir "{$ANMP_ROOT}/data/temp;{$ANMP_ROOT}/www/box"
</VirtualHost>

# END